<template>
  <div class="home">
    <section class="hero is-fullheight-with-navbar" v-bind:style="{'background-color': '#'+currentColor}">
      <div class="hero-body">
        <div class="container">
          <img src="mozen_icon.png" alt="Mozen">
        </div>
      </div>
    </section>
  </div>
</template>

<script>
export default {
  name: 'Home',
  data () {
    return {
      currentColor: '000000',
      colorArray: ['4eb287', '42c621', 'c6c421', 'c68221', 'c62421', '21c6be', ' 2124c6', ' b021c6']
    }
  },
  mounted () {
    const self = this
    setInterval(function (params) {
      var color = self.currentColor
      while (self.currentColor === color) color = self.colorArray[Math.floor(Math.random() * self.colorArray.length)]
      self.currentColor = color
    }, 5000)
  }
}
</script>

<style scoped>

.home {
  background-color: #ffffff;
  text-align: center;
}

.hero {
  transition: background-color 5000ms linear;
}

.logo {
  background-color: #ffffff;
  border-radius: 45px;
  padding: 60px;
}

</style>
